PETSc version 3.15.5
Fix/Edit manual page

# DMDAGetAO

Gets the application ordering context for a distributed array.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGetAO(DM da,AO *ao)

Collective on da

### Input Parameter

| da | - the distributed array

### Output Parameters

| ao | - the application ordering context for DMDAs

### Notes

In this case, the AO maps to the natural grid ordering that would be used for the DMDA if only 1 processor were employed (ordering most rapidly in the x-direction, then y, then z). Multiple degrees of freedom are numbered for each node (rather than 1 component for the whole grid, then the next component, etc.)

Do NOT call AODestroy() on the ao returned by this function.

### See Also

DMDACreate2d(), DMDASetAOType(), DMDAGetGhostCorners(), DMDAGetCorners(), DMLocalToGlobal()
DMGlobalToLocalBegin(), DMGlobalToLocalEnd(), DMLocalToLocalBegin(), DMLocalToLocalEnd(), DMDAGetOwnershipRanges(), AO, AOPetscToApplication(), AOApplicationToPetsc()

### Level

intermediate

### Location

src/dm/impls/da/daindex.c

### Examples

src/dm/tutorials/ex6.c.html
src/ksp/ksp/tutorials/ex59.c.html
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages